// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: common/place.proto

package common

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type PlaceRole int32

const (
	PlaceRole_UNKNOWN      PlaceRole = 0
	PlaceRole_FACTORY      PlaceRole = 1
	PlaceRole_PORT         PlaceRole = 2
	PlaceRole_AIRPORT      PlaceRole = 3
	PlaceRole_COMPOUND     PlaceRole = 4
	PlaceRole_CIRCUIT      PlaceRole = 5
	PlaceRole_CUSTOMS      PlaceRole = 6
	PlaceRole_DEALER       PlaceRole = 7
	PlaceRole_CARRIER      PlaceRole = 8
	PlaceRole_JUR_ADDRESS  PlaceRole = 21
	PlaceRole_PHYS_ADDRESS PlaceRole = 22
)

// Enum value maps for PlaceRole.
var (
	PlaceRole_name = map[int32]string{
		0:  "UNKNOWN",
		1:  "FACTORY",
		2:  "PORT",
		3:  "AIRPORT",
		4:  "COMPOUND",
		5:  "CIRCUIT",
		6:  "CUSTOMS",
		7:  "DEALER",
		8:  "CARRIER",
		21: "JUR_ADDRESS",
		22: "PHYS_ADDRESS",
	}
	PlaceRole_value = map[string]int32{
		"UNKNOWN":      0,
		"FACTORY":      1,
		"PORT":         2,
		"AIRPORT":      3,
		"COMPOUND":     4,
		"CIRCUIT":      5,
		"CUSTOMS":      6,
		"DEALER":       7,
		"CARRIER":      8,
		"JUR_ADDRESS":  21,
		"PHYS_ADDRESS": 22,
	}
)

func (x PlaceRole) Enum() *PlaceRole {
	p := new(PlaceRole)
	*p = x
	return p
}

func (x PlaceRole) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (PlaceRole) Descriptor() protoreflect.EnumDescriptor {
	return file_common_place_proto_enumTypes[0].Descriptor()
}

func (PlaceRole) Type() protoreflect.EnumType {
	return &file_common_place_proto_enumTypes[0]
}

func (x PlaceRole) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use PlaceRole.Descriptor instead.
func (PlaceRole) EnumDescriptor() ([]byte, []int) {
	return file_common_place_proto_rawDescGZIP(), []int{0}
}

type KeyValueRole struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key   PlaceRole `protobuf:"varint,1,opt,name=key,proto3,enum=common.PlaceRole" json:"key,omitempty"`
	Value string    `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *KeyValueRole) Reset() {
	*x = KeyValueRole{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_place_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *KeyValueRole) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*KeyValueRole) ProtoMessage() {}

func (x *KeyValueRole) ProtoReflect() protoreflect.Message {
	mi := &file_common_place_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use KeyValueRole.ProtoReflect.Descriptor instead.
func (*KeyValueRole) Descriptor() ([]byte, []int) {
	return file_common_place_proto_rawDescGZIP(), []int{0}
}

func (x *KeyValueRole) GetKey() PlaceRole {
	if x != nil {
		return x.Key
	}
	return PlaceRole_UNKNOWN
}

func (x *KeyValueRole) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type Place struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id      int64           `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	PlaceId string          `protobuf:"bytes,2,opt,name=placeId,proto3" json:"placeId,omitempty"`
	Company *Company        `protobuf:"bytes,3,opt,name=company,proto3" json:"company,omitempty"`
	Point   *Point          `protobuf:"bytes,4,opt,name=point,proto3" json:"point,omitempty"`
	Contact []*Contact      `protobuf:"bytes,5,rep,name=contact,proto3" json:"contact,omitempty"`
	Role    []*KeyValueRole `protobuf:"bytes,6,rep,name=role,proto3" json:"role,omitempty"`
}

func (x *Place) Reset() {
	*x = Place{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_place_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Place) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Place) ProtoMessage() {}

func (x *Place) ProtoReflect() protoreflect.Message {
	mi := &file_common_place_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Place.ProtoReflect.Descriptor instead.
func (*Place) Descriptor() ([]byte, []int) {
	return file_common_place_proto_rawDescGZIP(), []int{1}
}

func (x *Place) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Place) GetPlaceId() string {
	if x != nil {
		return x.PlaceId
	}
	return ""
}

func (x *Place) GetCompany() *Company {
	if x != nil {
		return x.Company
	}
	return nil
}

func (x *Place) GetPoint() *Point {
	if x != nil {
		return x.Point
	}
	return nil
}

func (x *Place) GetContact() []*Contact {
	if x != nil {
		return x.Contact
	}
	return nil
}

func (x *Place) GetRole() []*KeyValueRole {
	if x != nil {
		return x.Role
	}
	return nil
}

var File_common_place_proto protoreflect.FileDescriptor

var file_common_place_proto_rawDesc = []byte{
	0x0a, 0x12, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x1a, 0x14, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x12, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x70, 0x6f, 0x69, 0x6e, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x63,
	0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x49, 0x0a, 0x0c,
	0x4b, 0x65, 0x79, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x6f, 0x6c, 0x65, 0x12, 0x23, 0x0a, 0x03,
	0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x11, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x6f, 0x6c, 0x65, 0x52, 0x03, 0x6b, 0x65,
	0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0xd6, 0x01, 0x0a, 0x05, 0x50, 0x6c, 0x61, 0x63,
	0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x18, 0x0a, 0x07, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x49, 0x64, 0x12, 0x29, 0x0a, 0x07, 0x63,
	0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x07, 0x63,
	0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x12, 0x23, 0x0a, 0x05, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50,
	0x6f, 0x69, 0x6e, 0x74, 0x52, 0x05, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x29, 0x0a, 0x07, 0x63,
	0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x52, 0x07, 0x63,
	0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x12, 0x28, 0x0a, 0x04, 0x72, 0x6f, 0x6c, 0x65, 0x18, 0x06,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4b, 0x65,
	0x79, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x6f, 0x6c, 0x65, 0x52, 0x04, 0x72, 0x6f, 0x6c, 0x65,
	0x2a, 0xa0, 0x01, 0x0a, 0x09, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x6f, 0x6c, 0x65, 0x12, 0x0b,
	0x0a, 0x07, 0x55, 0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07, 0x46,
	0x41, 0x43, 0x54, 0x4f, 0x52, 0x59, 0x10, 0x01, 0x12, 0x08, 0x0a, 0x04, 0x50, 0x4f, 0x52, 0x54,
	0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x41, 0x49, 0x52, 0x50, 0x4f, 0x52, 0x54, 0x10, 0x03, 0x12,
	0x0c, 0x0a, 0x08, 0x43, 0x4f, 0x4d, 0x50, 0x4f, 0x55, 0x4e, 0x44, 0x10, 0x04, 0x12, 0x0b, 0x0a,
	0x07, 0x43, 0x49, 0x52, 0x43, 0x55, 0x49, 0x54, 0x10, 0x05, 0x12, 0x0b, 0x0a, 0x07, 0x43, 0x55,
	0x53, 0x54, 0x4f, 0x4d, 0x53, 0x10, 0x06, 0x12, 0x0a, 0x0a, 0x06, 0x44, 0x45, 0x41, 0x4c, 0x45,
	0x52, 0x10, 0x07, 0x12, 0x0b, 0x0a, 0x07, 0x43, 0x41, 0x52, 0x52, 0x49, 0x45, 0x52, 0x10, 0x08,
	0x12, 0x0f, 0x0a, 0x0b, 0x4a, 0x55, 0x52, 0x5f, 0x41, 0x44, 0x44, 0x52, 0x45, 0x53, 0x53, 0x10,
	0x15, 0x12, 0x10, 0x0a, 0x0c, 0x50, 0x48, 0x59, 0x53, 0x5f, 0x41, 0x44, 0x44, 0x52, 0x45, 0x53,
	0x53, 0x10, 0x16, 0x42, 0x6f, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c,
	0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x42, 0x05, 0x50, 0x6c,
	0x61, 0x63, 0x65, 0x50, 0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61,
	0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x10, 0x53, 0x75, 0x70, 0x70, 0x6c,
	0x79, 0x4e, 0x65, 0x74, 0x2e, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0xca, 0x02, 0x06, 0x43, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_common_place_proto_rawDescOnce sync.Once
	file_common_place_proto_rawDescData = file_common_place_proto_rawDesc
)

func file_common_place_proto_rawDescGZIP() []byte {
	file_common_place_proto_rawDescOnce.Do(func() {
		file_common_place_proto_rawDescData = protoimpl.X.CompressGZIP(file_common_place_proto_rawDescData)
	})
	return file_common_place_proto_rawDescData
}

var file_common_place_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_common_place_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_common_place_proto_goTypes = []interface{}{
	(PlaceRole)(0),       // 0: common.PlaceRole
	(*KeyValueRole)(nil), // 1: common.KeyValueRole
	(*Place)(nil),        // 2: common.Place
	(*Company)(nil),      // 3: common.Company
	(*Point)(nil),        // 4: common.Point
	(*Contact)(nil),      // 5: common.Contact
}
var file_common_place_proto_depIdxs = []int32{
	0, // 0: common.KeyValueRole.key:type_name -> common.PlaceRole
	3, // 1: common.Place.company:type_name -> common.Company
	4, // 2: common.Place.point:type_name -> common.Point
	5, // 3: common.Place.contact:type_name -> common.Contact
	1, // 4: common.Place.role:type_name -> common.KeyValueRole
	5, // [5:5] is the sub-list for method output_type
	5, // [5:5] is the sub-list for method input_type
	5, // [5:5] is the sub-list for extension type_name
	5, // [5:5] is the sub-list for extension extendee
	0, // [0:5] is the sub-list for field type_name
}

func init() { file_common_place_proto_init() }
func file_common_place_proto_init() {
	if File_common_place_proto != nil {
		return
	}
	file_common_contact_proto_init()
	file_common_point_proto_init()
	file_common_company_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_common_place_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*KeyValueRole); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_place_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Place); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_common_place_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_common_place_proto_goTypes,
		DependencyIndexes: file_common_place_proto_depIdxs,
		EnumInfos:         file_common_place_proto_enumTypes,
		MessageInfos:      file_common_place_proto_msgTypes,
	}.Build()
	File_common_place_proto = out.File
	file_common_place_proto_rawDesc = nil
	file_common_place_proto_goTypes = nil
	file_common_place_proto_depIdxs = nil
}
